// Modified form of `timeago` helper from https://github.com/assemble/handlebars-helpers
var YEAR = 60 * 60 * 24 * 365;
var MONTH = 60 * 60 * 24 * 30;
var DAY = 60 * 60 * 24;
var HOUR = 60 * 60;

module.exports = function( date ){
	date = new Date( date );
	var seconds = Math.floor( ( new Date() - date ) / 1000 );
	var interval = Math.floor( seconds / YEAR );
	if( interval > 1 ) return interval +' years ago';
	interval = Math.floor( seconds / MONTH );
	if( interval > 1 ) return interval +' months ago';
	interval = Math.floor( seconds / DAY );
	if( interval > 1 ) return interval +' days ago';
	interval = Math.floor( seconds / HOUR );
	if( interval > 1 ) return interval +' hours ago';
	interval = Math.floor( seconds / 60 );
	if( interval > 1 ) return interval +' minutes ago';
	if( Math.floor( seconds ) <= 1 ) return 'Just now';
	else return Math.floor( seconds ) +' seconds ago';
};